# Integration Authentications

LingoHub API V2 (Beta) · [all operations](https://developers.lingohub.com/reference/v2.md)

Manage the stored credentials LingoHub uses to connect to Git providers and content platforms.

## Operations

- [`PUT /v2/integration-authentications/{integrationAuthenticationId}/credentials`](https://developers.lingohub.com/reference/v2/operations/setintegrationauthenticationcredentials.md): Replace integration authentication credentials
- [`GET /v2/integration-authentications`](https://developers.lingohub.com/reference/v2/operations/listintegrationauthentications.md): List integration authentications
- [`POST /v2/integration-authentications`](https://developers.lingohub.com/reference/v2/operations/createintegrationauthentication.md): Create an integration authentication
- [`GET /v2/integration-authentications/{integrationAuthenticationId}`](https://developers.lingohub.com/reference/v2/operations/getintegrationauthentication.md): Retrieve an integration authentication
- [`DELETE /v2/integration-authentications/{integrationAuthenticationId}`](https://developers.lingohub.com/reference/v2/operations/deleteintegrationauthentication.md): Delete an integration authentication
- [`PATCH /v2/integration-authentications/{integrationAuthenticationId}`](https://developers.lingohub.com/reference/v2/operations/updateintegrationauthentication.md): Rename an integration authentication
